View Issue Details

IDProjectCategoryView StatusLast Update
0003195SOGoBackend Calendarpublic2016-03-22 13:09
ReporterJens Erat Assigned Toludovic  
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Fixed in Version3.1.0 
Summary0003195: "CC" office assistant for invitation replies on other calendars
Description

An office assistant has write permissions to her head's calendar. If she enters an appointment through the web interface and a third person is invited, only her head receives acknowledgement mails, not the office assistant.

She should also receive those messages, so the office manager can respond if necessary.

TagsNo tags attached.

Activities

ludovic

ludovic

2015-05-21 14:02

administrator   ~0008511

How about adding in the head's calendar the assistant in the list of notified persons when the calendar is modified? That should do it.

Christian Mack

Christian Mack

2016-01-19 09:22

developer   ~0009300

This would be a solution, if the secretary could see all events in that calendar.
But in our case this is not the case, as there are some private events in this calendar too, which the secretary shall not be able to see at all.
With the above solution the secretary would get an email for every change, even the "shall be invisible" private ones.

Therefore we need another solution.
In a private conversation Ludovic suggested:
"When generating a mail back to the organizer when the attendee
accepts/declines, we would also send a mail to the SENT-BY. I suggest it
being a purely "text" email - with no ics attachment to avoid confusion
of MUAs."

With this solution the secretary will only be informed on accept/decline of attendees, when he/she has created the event with invitation.
For us this is the desired solution.

Related Changesets

sogo: master fee31090

2016-03-22 13:08:38

ludovic

Details Diff
(feat) we now "cc" delegates during invitation updates (fixes 0003195) Affected Issues
0003195
mod - NEWS Diff File
mod - SoObjects/Appointments/SOGoCalendarComponent.m Diff File

Issue History

Date Modified Username Field Change
2015-04-29 08:27 Jens Erat New Issue
2015-05-21 14:02 ludovic Note Added: 0008511
2016-01-19 09:22 Christian Mack Note Added: 0009300
2016-03-22 13:09 ludovic Changeset attached => sogo master fee31090
2016-03-22 13:09 ludovic Assigned To => ludovic
2016-03-22 13:09 ludovic Resolution open => fixed
2016-03-22 13:09 ludovic Status new => resolved
2016-03-22 13:09 ludovic Fixed in Version => 3.1.0